%define name    gtksourceview-sharp
%define oname %name-2.0
%define version 0.10
%define release %mkrel 6
%if %mdkversion >= 200600
%define pkgconfigdir %_datadir/pkgconfig
%else
%define pkgconfigdir %_libdir/pkgconfig
%endif
%define monoprefix %_prefix/lib
Summary:       GtkSourceView-sharp is a C# language binding for the gtksourceview widget
Name:          %{name}
Version:       %{version}
Release:       %{release}
Source:        http://go-mono.com/sources/gtksourceview-sharp-2.0/%oname-%version.tar.bz2
URL:           http://www.go-mono.com
License:       LGPL
Group:         System/Libraries
Requires:      gtksourceview >= 0.7
BuildRequires: gtksourceview-devel >= 0.7
BuildRequires: gnome-sharp2
BuildRequires: mono-tools
BuildRequires: mono-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires: libgtksourceview

%description 
GtkSourceView-sharp is a C# language binding for the gtksourceview widget.

%package doc
Summary: Development documentation for %name
Group: Development/Other
Requires(post): mono-tools >= 1.1.9
Requires(postun): mono-tools >= 1.1.9

%description doc
GtkSourceView-sharp is a C# language binding for the gtksourceview widget.

This package contains the API documentation for the %name in
Monodoc format.


%prep
%setup -q -n %{oname}-%{version}

%build
./configure --prefix=%_prefix --libdir=%_libdir
make

%install
rm -rf %buildroot
#mkdir -p %{buildroot}/`monodoc --get-sourcesdir`
%makeinstall apidir=%buildroot%_datadir/gapi docsdir=%{buildroot}/`monodoc --get-sourcesdir` extra_langdir=%buildroot%_datadir/gtksourceview-1.0/language-specs pkgconfigdir=%buildroot%pkgconfigdir

# (mpol) remove conflicting file with gtksourceview-1.1.1
rm -f %{buildroot}/%{_datadir}/gtksourceview-1.0/language-specs/vbnet.lang


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README NEWS
%monoprefix/mono/gac/*
%monoprefix/mono/gtksourceview-sharp-2.0/
%{pkgconfigdir}/*
%{_datadir}/gapi/gtksourceview-api.xml
%{_datadir}/gtksourceview-1.0/language-specs/*

%files doc
%defattr(-,root,root)
%monoprefix/monodoc/sources/gtksourceview-sharp-docs.*

%clean
rm -rf $RPM_BUILD_ROOT

%post doc
%_bindir/monodoc --make-index > /dev/null
%postun doc
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi

%changelog
* Thu Sep 21 2006 Gtz Waschk <waschk@mandriva.org> 0.10-6mdv2007.0
- split monodoc docs to separate package

* Tue Jul 18 2006 Gtz Waschk <waschk@mandriva.org> 0.10-5mdv2007.0
- fix postun script

* Wed Sep 28 2005 Gtz Waschk <waschk@mandriva.org> 0.10-4mdk
- regenerate monodoc index on postun

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 0.10-3mdk
- rebuild for new gtk-sharp2

* Fri Jul  1 2005 Gtz Waschk <waschk@mandriva.org> 0.10-2mdk
- fix deps

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 0.10-1mdk
- update file list
- new source URL
- New release 0.10

* Thu Apr 28 2005 Gtz Waschk <waschk@mandriva.org> 0.7-5mdk
- move mono files to %_prefix/lib
- fix pkgconfig file location

* Fri Apr  1 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.7-4mdk
- fix dep on libgtksourceview

* Thu Mar 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.7-3mdk
- fix buildrequires

* Wed Mar 30 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.7-2mdk
- fix buildrequires

* Wed Mar 30 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- make it noarch
- update file list
- New release 0.7

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 0.5-4mdk
- remove conflicting file vbnet.lang with gtksourceview-1.1.1

* Wed Jul 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-3mdk
- rebuild for new rpm

* Thu Jul  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- remove docs, they are already in the monodoc dir

* Thu Jul  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- call monodoc in the post scripts
- add monodoc stuff
- fix installation
- new version

* Mon Jun 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3-3mdk
- remove generic docs
- fix configure call
- fix buildrequires

* Fri Jun 04 2004 Marcel Pol <mpol@mandrake.org> 0.3-2mdk
- don't provide gtkmozembed-sharp
- only own files we really own

* Thu Jun 3 2004 Sandino "Tigrux" Flores <tigrux@ximian.com> 0.3-1mdk
- First rpm for mandrake
